"use strict";
//  Copyright PrimeObjects Software Inc. and other contributors <https://www.primeobjects.com/>
//
//  This source code is licensed under the MIT license.
//  The detail information can be found in the LICENSE file in the root directory of this source tree.
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CSS = void 0;
var react_1 = __importStar(require("react"));
var core_1 = require("primeobjects-helper-util/build/cjs/core");
var css_1 = require("primeobjects-ui-store/build/cjs/stores/css");
var primeobjects_helper_util_1 = require("primeobjects-helper-util");
var CSS = function (props) {
    var id = props.id, content = props.content;
    var cssStore = (0, css_1.useCssStore)();
    (0, react_1.useEffect)(function () {
        var g = (0, primeobjects_helper_util_1.getGlobalObject)();
        if (!g.css)
            g.css = {};
        if ((0, core_1.isNonEmptyString)(id) && !g.css[id]) {
            g.css[id] = true;
        }
        cssStore.setCSS(id, content);
    }, [id, content]);
    return react_1.default.createElement(react_1.default.Fragment, null);
};
exports.CSS = CSS;
exports.default = exports.CSS;
